> For the complete documentation index, see [llms.txt](https://docs.fullwhere.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fullwhere.com/developer/api-references/feedback.md).

# Feedback

## GET /partners/feedback

> Get a feedback by ID

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/feedback":{"get":{"operationId":"PartnersFeedbackController_getFeedback","parameters":[{"name":"id","required":true,"in":"query","description":"The UUID of the feedback to retrieve","schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The feedback has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerFeedback"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"},"404":{"description":"Feedback not found."}},"summary":"Get a feedback by ID","tags":["Feedback"]}}},"components":{"schemas":{"PartnerFeedback":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"context":{"description":"Contextual information about the review","allOf":[{"$ref":"#/components/schemas/PartnerFeedbackContext"}]},"source":{"description":"Source of the review","allOf":[{"$ref":"#/components/schemas/DataSource"}]},"class":{"description":"Class of the review","allOf":[{"$ref":"#/components/schemas/FeedbackClass"}]},"text":{"type":"string","nullable":true,"description":"Review text content","default":null},"html":{"type":"string","nullable":true,"description":"Review html content - Email only","default":null},"externalId":{"type":"string","nullable":true,"description":"External identifier of the review","default":null},"rating":{"type":"number","nullable":true,"description":"Review rating - from 0 to 5 (can be null if the review has no rating)","default":null},"language":{"nullable":true,"description":"Review language, if available","default":null,"allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"tags":{"description":"A list of tags associated with the review, either detected by the system or added manually by the user","type":"array","items":{"$ref":"#/components/schemas/PartnerFeedbackTag"}},"attributes":{"description":"Custom attribute values associated with the review","type":"array","items":{"$ref":"#/components/schemas/PartnerFeedbackCustomAttributeValue"}},"themes":{"description":"Detected review themes","default":[],"type":"array","items":{"$ref":"#/components/schemas/FeedbackTheme"}},"emotions":{"description":"Detected review emotions","default":[],"type":"array","items":{"$ref":"#/components/schemas/FeedbackEmotion"}},"polarity":{"nullable":true,"description":"Detected review polarity","allOf":[{"$ref":"#/components/schemas/FeedbackPolarity"}]},"metadata":{"description":"Metadata associated with the review","allOf":[{"$ref":"#/components/schemas/FeedbackContentMetadatasEmbeddable"}]},"attachments":{"description":"Review attachments (eg. photos, videos)","default":[],"type":"array","items":{"$ref":"#/components/schemas/PartnerPublicFile"}},"spamScore":{"type":"number","nullable":true,"description":"Spam score, if available.\nLower is better; scores can be negative or positive.\nMessages above 5 are generally considered spam.","default":null},"replies":{"description":"Main replies to the review, if any.\nThis list contains the main response for each channel.","default":[],"type":"array","items":{"$ref":"#/components/schemas/PartnerFeedbackReply"}},"surveyReplies":{"description":"Raw submitted survey replies associated with the review, if any\nOnly for reviews that come from a survey source (SURVEY)","default":[],"type":"array","items":{"$ref":"#/components/schemas/PartnerSurveyReply"}},"contactFormReplies":{"description":"Raw submitted contact form replies associated with the review, if any\nOnly for reviews that come from a contact form source (SITE)","default":[],"type":"array","items":{"$ref":"#/components/schemas/PartnerContactFormReply"}},"socialPostComment":{"nullable":true,"description":"Associated social post comment, if any (only for reviews that come from a social network source)","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/PartnerSocialPostComment"}]},"likeRecommended":{"type":"boolean","nullable":true,"description":"Only for social network comments.\nDetermines whether the post comment should be liked or not","default":null},"replyRecommended":{"type":"boolean","nullable":true,"description":"Only for social network comments.\nDetermines whether the post comment should have a reply or not","default":null},"hideRecommended":{"type":"boolean","nullable":true,"description":"Only for social network comments.\nDetermines whether the post comment should be hidden or not","default":null},"analyzed":{"type":"boolean","description":"Whether or not the review has been analyzed by the system"},"csatIndex":{"type":"number","nullable":true,"description":"Customer Satisfaction Index for the content's feedback.\nOnly for survey feedbacks with CSAT question type.","default":null},"npsValue":{"type":"number","nullable":true,"description":"Net Promoter Score value for the content's feedback.\nOnly for survey feedbacks with NPS question type.","default":null},"deleted":{"type":"boolean","description":"Determines whether review has been removed from its source platform"},"imported":{"type":"boolean","description":"Determines if the review has been imported manually (eg. via CSV import) or automatically via an integration"}},"required":["id","createdAt","updatedAt","context","source","class","text","html","externalId","rating","language","tags","attributes","themes","emotions","polarity","metadata","attachments","spamScore","replies","surveyReplies","contactFormReplies","socialPostComment","likeRecommended","replyRecommended","hideRecommended","analyzed","csatIndex","npsValue","deleted","imported"]},"PartnerFeedbackContext":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"brandId":{"type":"string","description":"Brand identifier"},"storeId":{"type":"string","nullable":true,"description":"Store identifier","default":null},"purchaseId":{"type":"string","nullable":true,"description":"Purchase identifier","default":null},"customerId":{"type":"string","nullable":true,"description":"Customer identifier","default":null},"contactFormId":{"type":"string","nullable":true,"description":"Contact form identifier","default":null},"surveyId":{"type":"string","nullable":true,"description":"Survey identifier","default":null},"surveyTrackerId":{"type":"string","nullable":true,"description":"Survey Tracker identifier","default":null},"supportEmailId":{"type":"string","nullable":true,"description":"Support email identifier","default":null},"socialPostId":{"type":"string","nullable":true,"description":"Social post identifier","default":null},"link":{"type":"string","description":"Link to Fullwhere webapp"},"status":{"description":"Determines whether a review of this context is awaiting a response (UNPROCESSED), has been processed (PROCESSED), or has been bypassed (BYPASSED).","allOf":[{"$ref":"#/components/schemas/FeedbackStatus"}]},"archived":{"type":"boolean","description":"Determines if the review context has been archived"},"responseTime":{"type":"number","nullable":true,"description":"Response time in seconds.\nThis is the time between the original review and its first reply.","default":null},"interactionTime":{"type":"number","nullable":true,"description":"Interaction time in seconds.\nThis is the time between the original review and its last reply.","default":null},"reactionTimes":{"type":"number","nullable":true,"description":"Reaction times in seconds.\nThis is the time between each review and its first reply.","default":null},"allowEmailReply":{"type":"boolean","description":"Determines whether email replies are allowed for this review context"},"allowSmsReply":{"type":"boolean","description":"Determines whether SMS replies are allowed for this review context"}},"required":["id","createdAt","updatedAt","brandId","storeId","purchaseId","customerId","contactFormId","surveyId","surveyTrackerId","supportEmailId","socialPostId","link","status","archived","responseTime","interactionTime","reactionTimes","allowEmailReply","allowSmsReply"]},"FeedbackStatus":{"type":"string","enum":["PROCESSED","UNPROCESSED","BYPASSED"],"description":"Determines whether a review of this context is awaiting a response (UNPROCESSED), has been processed (PROCESSED), or has been bypassed (BYPASSED)."},"DataSource":{"type":"string","enum":["AutoGestion","Booking","BubbleContactEmail","Como","Deliveroo","Email","Experience","Facebook","Google","Gmail","Import","Instagram","Juxta","Mews","Oracle","Outlook","Salesforce","SelligentPartouche","Sevenrooms","Site","Sms","Sunday","Survey","TripAdvisor","Ubereats","WhatsApp","Zelty","Zenchef","TheFork","Chr365","Expedia","MisterBooking"],"description":"Data sources associated with the customer"},"FeedbackClass":{"type":"string","enum":["Review","Survey","Contact","Message","Post"],"description":"Class of the review"},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerFeedbackTag":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"tag":{"type":"string","description":"Tag name"},"color":{"type":"string","nullable":true,"description":"Tag hexadecimal color","default":null}},"required":["id","createdAt","updatedAt","tag","color"]},"PartnerFeedbackCustomAttributeValue":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"attribute":{"type":"string","description":"ID of the related custom attribute."},"type":{"description":"The type of the custom attribute.","allOf":[{"$ref":"#/components/schemas/CustomAttributeType"}]},"autoDetected":{"type":"boolean","description":"Determines if the value was auto-detected"},"fromPossibleValue":{"type":"string","nullable":true,"description":"The ID of the possible value selected if applicable\nOnly used for select type custom attributes, null otherwise","default":null},"text":{"type":"string","nullable":true,"description":"Submitted text value if applicable\nOnly used for text type custom attributes, null otherwise","default":null},"rating":{"type":"string","nullable":true,"description":"Submitted numeric value if applicable\nOnly used for rating type custom attributes, null otherwise","default":null},"value":{"type":"string","description":"The value of the custom attribute as string, which can be either:\n- The text value for text type custom attributes\n- The numeric value for rating type custom attributes\n- The value of the selected possible value for select type custom attributes"}},"required":["id","createdAt","updatedAt","attribute","type","autoDetected","fromPossibleValue","text","rating","value"]},"CustomAttributeType":{"type":"string","enum":["SINGLE_SELECT","MULTI_SELECT","TEXT","NUMBER"],"description":"The type of the custom attribute."},"FeedbackTheme":{"type":"string","enum":["Complaint","Question","Compliment","Suggestion","Comparison"],"description":"Detected review themes"},"FeedbackEmotion":{"type":"string","enum":["Disappointment","Surprise","Fear","Joy","Anger"],"description":"Detected review emotions"},"FeedbackPolarity":{"type":"string","enum":["Positive","Negative","Neutral"],"description":"Detected review polarity"},"FeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"googleMyBusiness":{"nullable":true,"description":"Google my business feedback metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessFeedbackContentMetadatasEmbeddable"}]},"gmail":{"nullable":true,"description":"Gmail feedback metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/GmailFeedbackContentMetadatasEmbeddable"}]},"outlook":{"nullable":true,"description":"Outlook feedback metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/OutlookFeedbackMetadatasEmbeddable"}]},"zenchef":{"nullable":true,"description":"Zenchef feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefFeedbackMetadatasEmbeddable"}]},"deliveroo":{"nullable":true,"description":"Deliveroo feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFeedbackMetadatasEmbeddable"}]},"tripadvisor":{"nullable":true,"description":"TripAdvisor feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/TripAdvisorFeedbackContentMetadatasEmbeddable"}]},"ubereats":{"nullable":true,"description":"UberEats feedback metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/UbereatsFeedbackContentMetadatasEmbeddable"}]},"sevenrooms":{"nullable":true,"description":"Sevenrooms feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SevenroomsFeedbackMetadatasEmbeddable"}]},"email":{"nullable":true,"description":"Support email feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SupportEmailFeedbackMetadatasEmbeddable"}]},"site":{"nullable":true,"description":"Site feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SiteFeedbackContentMetadatasEmbeddable"}]},"metaMessage":{"nullable":true,"description":"Meta feedback message metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/MetaMessageMetadatasEmbeddable"}]},"whatsapp":{"nullable":true,"description":"WhatsApp feedback message metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageMetadatasEmbeddable"}]},"booking":{"nullable":true,"description":"Booking feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/BookingFeedbackContentMetadatasEmbeddable"}]},"sunday":{"nullable":true,"description":"Sunday feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SundayFeedbackMetadatasEmbeddable"}]},"experience":{"nullable":true,"description":"Experience feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ExperienceFeedbackMetadatasEmbeddable"}]},"facebookFeed":{"nullable":true,"description":"Facebook feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/FacebookFeedbackContentMetadatasEmbeddable"}]},"instagramFeed":{"nullable":true,"description":"Instagram feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/InstagramFeedbackContentMetadatasEmbeddable"}]},"thefork":{"nullable":true,"description":"TheFork feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/TheForkFeedbackMetadatasEmbeddable"}]},"expedia":{"nullable":true,"description":"Expedia feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ExpediaFeedbackMetadatasEmbeddable"}]}}},"GoogleMyBusinessFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"starRating":{"nullable":true,"description":"Google my business review content rates","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessStarRating"}]},"name":{"type":"string","nullable":true},"reviewId":{"type":"string","nullable":true},"createTime":{"type":"object","description":"Google my business review content creation time"},"updateTime":{"type":"object","description":"Google my business review content update time"},"comment":{"type":"string","nullable":true,"description":"Google my business review raw content"},"medias":{"nullable":true,"description":"Google my business medias attached to this Feedback","default":[],"type":"array","items":{"$ref":"#/components/schemas/GoogleMyBusinessMediaItemEmbeddable"}},"reviewMediaItems":{"nullable":true,"default":[],"type":"array","items":{"$ref":"#/components/schemas/GoogleMyBusinessReviewMediaItemEmbeddable"}},"reviewer":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessReviewerEmbeddable"}]},"reviewReply":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessFeedbackReplyMetadatasEmbeddable"}]}},"required":["starRating","name","reviewId","createTime","updateTime","comment","medias","reviewMediaItems","reviewer","reviewReply"]},"GoogleMyBusinessStarRating":{"type":"string","enum":["STAR_RATING_UNSPECIFIED","ONE","TWO","THREE","FOUR","FIVE"],"description":"Google my business review content rates"},"GoogleMyBusinessMediaItemEmbeddable":{"type":"object","properties":{"mediaFormat":{"allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessMediaFormat"}]},"name":{"type":"string"},"locationAssociation":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessLocationAssociationEmbeddable"}]},"googleUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"createTime":{"format":"date-time","type":"string"},"dimensions":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessDimensionsEmbeddable"}]},"insights":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessInsightsEmbeddable"}]},"attribution":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessAttributionEmbeddable"}]},"description":{"type":"string","nullable":true},"sourceUrl":{"type":"string","nullable":true},"dataRef":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessDataRefEmbeddable"}]}},"required":["mediaFormat","name","locationAssociation","googleUrl","thumbnailUrl","createTime","dimensions","insights","attribution","description","sourceUrl","dataRef"]},"GoogleMyBusinessMediaFormat":{"type":"string","enum":["MEDIA_FORMAT_UNSPECIFIED","PHOTO","VIDEO"]},"GoogleMyBusinessLocationAssociationEmbeddable":{"type":"object","properties":{"category":{"allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessLocationAssociationCategory"}]},"priceListItemId":{"type":"string","nullable":true}},"required":["category","priceListItemId"]},"GoogleMyBusinessLocationAssociationCategory":{"type":"string","enum":["CATEGORY_UNSPECIFIED","COVER","PROFILE","LOGO","EXTERIOR","INTERIOR","PRODUCT","AT_WORK","FOOD_AND_DRIN","MENU","COMMON_AREA","ROOMS","TEAMS","ADDITIONA"]},"GoogleMyBusinessDimensionsEmbeddable":{"type":"object","properties":{"widthPixels":{"type":"number"},"heightPixels":{"type":"number"}},"required":["widthPixels","heightPixels"]},"GoogleMyBusinessInsightsEmbeddable":{"type":"object","properties":{"viewCount":{"type":"string"}},"required":["viewCount"]},"GoogleMyBusinessAttributionEmbeddable":{"type":"object","properties":{"profileName":{"type":"string"},"profilePhotoUrl":{"type":"string"},"takedownUrl":{"type":"string"},"profileUrl":{"type":"string"}},"required":["profileName","profilePhotoUrl","takedownUrl","profileUrl"]},"GoogleMyBusinessDataRefEmbeddable":{"type":"object","properties":{"resourceName":{"type":"string"}},"required":["resourceName"]},"GoogleMyBusinessReviewMediaItemEmbeddable":{"type":"object","properties":{"thumbnailUrl":{"type":"string","nullable":true},"thumbnailLabel":{"type":"string","nullable":true},"videoUrl":{"type":"string","nullable":true}},"required":["thumbnailUrl","thumbnailLabel","videoUrl"]},"GoogleMyBusinessReviewerEmbeddable":{"type":"object","properties":{"displayName":{"type":"string","nullable":true},"profilePhotoUrl":{"type":"string","nullable":true},"isAnonymous":{"type":"boolean","nullable":true}},"required":["displayName","profilePhotoUrl","isAnonymous"]},"GoogleMyBusinessFeedbackReplyMetadatasEmbeddable":{"type":"object","properties":{"updateTime":{"type":"object"},"comment":{"type":"string"},"reviewReplyState":{"type":"string","nullable":true}},"required":["updateTime","comment","reviewReplyState"]},"GmailFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"threadId":{"type":"string","nullable":true},"labelIds":{"nullable":true,"type":"array","items":{"type":"string"}},"snippet":{"type":"string","nullable":true},"historyId":{"type":"string","nullable":true},"internalDate":{"type":"string","nullable":true},"payload":{"$ref":"#/components/schemas/GmailMessagePartEmbeddable"},"sizeEstimate":{"type":"number","nullable":true},"raw":{"type":"string","nullable":true},"classificationLabelValues":{"type":"array","items":{"$ref":"#/components/schemas/GmailClassificationLabelValueEmbeddable"}},"read":{"type":"boolean","nullable":true},"from":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GmailMessageRecipientEmbeddable"}]},"to":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/GmailMessageRecipientEmbeddable"}},"cc":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/GmailMessageRecipientEmbeddable"}},"subject":{"type":"string","nullable":true},"date":{"format":"date-time","type":"string","nullable":true}},"required":["id","threadId","labelIds","snippet","historyId","internalDate","payload","sizeEstimate","raw","classificationLabelValues","read","from","to","cc","subject","date"]},"GmailMessagePartEmbeddable":{"type":"object","properties":{"body":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GmailMessagePartBodyEmbeddable"}]},"filename":{"type":"string","nullable":true},"headers":{"type":"array","items":{"$ref":"#/components/schemas/GmailMessagePartHeaderEmbeddable"}},"mimeType":{"type":"string","nullable":true},"partId":{"type":"string","nullable":true},"parts":{"type":"array","items":{"$ref":"#/components/schemas/GmailMessagePartEmbeddable"}}},"required":["body","filename","headers","mimeType","partId","parts"]},"GmailMessagePartBodyEmbeddable":{"type":"object","properties":{"attachmentId":{"type":"string","nullable":true},"data":{"type":"string","nullable":true},"size":{"type":"number","nullable":true}},"required":["attachmentId","data","size"]},"GmailMessagePartHeaderEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"required":["name","value"]},"GmailClassificationLabelValueEmbeddable":{"type":"object","properties":{"labelId":{"type":"string","nullable":true},"fields":{"type":"array","items":{"$ref":"#/components/schemas/GmailClassificationLabelFieldValueEmbeddable"}}},"required":["labelId","fields"]},"GmailClassificationLabelFieldValueEmbeddable":{"type":"object","properties":{"fieldId":{"type":"string","nullable":true},"selection":{"type":"string","nullable":true}},"required":["fieldId","selection"]},"GmailMessageRecipientEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"email":{"type":"string"}},"required":["name","email"]},"OutlookFeedbackMetadatasEmbeddable":{"type":"object","properties":{"importance":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/Importance"}]},"inferenceClassification":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/InferenceClassificationType"}]},"id":{"type":"string"},"conversationId":{"type":"string"},"categories":{"nullable":true,"type":"array","items":{"type":"string"}},"changeKey":{"type":"string","nullable":true},"createdDateTime":{"type":"string","nullable":true},"lastModifiedDateTime":{"type":"string","nullable":true},"subject":{"type":"string"},"sentDateTime":{"type":"string"},"receivedDateTime":{"type":"string"},"sender":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"},"from":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"},"toRecipients":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"}},"ccRecipients":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"}},"bccRecipients":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"}},"replyTo":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"}},"body":{"$ref":"#/components/schemas/OutlookMessageBodyEmbeddable"},"bodyPreview":{"type":"string","nullable":true},"conversationIndex":{"type":"string","nullable":true},"flag":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookFollowupFlagEmbeddable"}]},"internetMessageId":{"type":"string","nullable":true},"isDeliveryReceiptRequested":{"type":"boolean","nullable":true},"isReadReceiptRequested":{"type":"boolean","nullable":true},"parentFolderId":{"type":"string","nullable":true},"uniqueBody":{"$ref":"#/components/schemas/OutlookMessageBodyEmbeddable"},"hasAttachments":{"type":"boolean"},"isDraft":{"type":"boolean"},"isRead":{"type":"boolean"},"webLink":{"type":"string"},"internetMessageHeaders":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageInternetMessageHeaderEmbeddable"}},"attachments":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageAttachmentEmbeddable"}},"extensions":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/OutlookExtensionEmbeddable"}},"multiValueExtendedProperties":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/OutlookMultiValueLegacyExtendedPropertyEmbeddable"}},"singleValueExtendedProperties":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/OutlookSingleValueLegacyExtendedPropertyEmbeddable"}}},"required":["importance","inferenceClassification","id","conversationId","categories","changeKey","createdDateTime","lastModifiedDateTime","subject","sentDateTime","receivedDateTime","sender","from","toRecipients","ccRecipients","bccRecipients","replyTo","body","bodyPreview","conversationIndex","flag","internetMessageId","isDeliveryReceiptRequested","isReadReceiptRequested","parentFolderId","uniqueBody","hasAttachments","isDraft","isRead","webLink","internetMessageHeaders","attachments","extensions","multiValueExtendedProperties","singleValueExtendedProperties"]},"Importance":{"type":"string","enum":["low","normal","high"]},"InferenceClassificationType":{"type":"string","enum":["focused","other"]},"OutlookMessageRecipientEmbeddable":{"type":"object","properties":{"emailAddress":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookEmailAddressEmbeddable"}]}},"required":["emailAddress"]},"OutlookEmailAddressEmbeddable":{"type":"object","properties":{"address":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"required":["address","name"]},"OutlookMessageBodyEmbeddable":{"type":"object","properties":{"contentType":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OutlookItemBodyType"}]},"content":{"type":"string","nullable":true}},"required":["contentType","content"]},"OutlookItemBodyType":{"type":"string","enum":["text","html"]},"OutlookFollowupFlagEmbeddable":{"type":"object","properties":{"flagStatus":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/FollowupFlagStatus"}]},"completedDateTime":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookDateTimeTimeZoneEmbeddable"}]},"dueDateTime":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookDateTimeTimeZoneEmbeddable"}]},"startDateTime":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookDateTimeTimeZoneEmbeddable"}]}},"required":["flagStatus","completedDateTime","dueDateTime","startDateTime"]},"FollowupFlagStatus":{"type":"string","enum":["notFlagged","complete","flagged"]},"OutlookDateTimeTimeZoneEmbeddable":{"type":"object","properties":{"dateTime":{"type":"string"},"timeZone":{"type":"string","nullable":true}},"required":["dateTime","timeZone"]},"OutlookMessageInternetMessageHeaderEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"required":["name","value"]},"OutlookMessageAttachmentEmbeddable":{"type":"object","properties":{"id":{"type":"string"},"contentType":{"type":"string"},"isInline":{"type":"boolean"},"lastModifiedDateTime":{"type":"string"},"name":{"type":"string"},"size":{"type":"number"}},"required":["id","contentType","isInline","lastModifiedDateTime","name","size"]},"OutlookExtensionEmbeddable":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"]},"OutlookMultiValueLegacyExtendedPropertyEmbeddable":{"type":"object","properties":{"id":{"type":"string"},"value":{"nullable":true,"type":"array","items":{"type":"string"}}},"required":["id","value"]},"OutlookSingleValueLegacyExtendedPropertyEmbeddable":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string","nullable":true}},"required":["id","value"]},"ZenchefFeedbackMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"external_site":{"type":"string","nullable":true},"external_id_site":{"type":"string","nullable":true},"source_partner":{"type":"string","nullable":true},"source_partner_id":{"type":"string","nullable":true},"partner_id":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"booking_id":{"type":"number","nullable":true},"guest_id":{"type":"number","nullable":true},"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"sexe":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"reply":{"type":"number","nullable":true},"source_date":{"type":"string","nullable":true},"command_id":{"type":"string","nullable":true},"booking":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefPurchaseMetadatasEmbeddable"}]},"guest":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"replies":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefFeedbackReplyMetadatasEmbeddable"}},"tags":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefTagEmbeddable"}},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"service":{"type":"number","nullable":true},"service_body":{"type":"string","nullable":true},"menu":{"type":"number","nullable":true},"menu_body":{"type":"string","nullable":true},"ambiance":{"type":"number","nullable":true},"ambiance_body":{"type":"string","nullable":true},"value_for_money":{"type":"number","nullable":true},"value_for_money_body":{"type":"string","nullable":true},"body":{"type":"string","nullable":true},"global":{"type":"number","nullable":true},"read":{"type":"number","nullable":true}},"required":["id","external_site","external_id_site","source_partner","source_partner_id","partner_id","restaurant_id","booking_id","guest_id","email","name","sexe","url","reply","source_date","command_id","booking","guest","replies","tags","created_at","updated_at","service","service_body","menu","menu_body","ambiance","ambiance_body","value_for_money","value_for_money_body","body","global","read"]},"ZenchefPurchaseMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number"},"type":{"type":"string"},"partner_id":{"type":"string","nullable":true},"reservation_type":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"resto_id":{"type":"number","nullable":true},"resto_name":{"type":"string","nullable":true},"to":{"type":"string","nullable":true},"day":{"type":"string","nullable":true},"time":{"type":"string","nullable":true},"nb_guests":{"type":"number","nullable":true},"slots_count":{"type":"string","nullable":true},"civility":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"private_comment":{"type":"string","nullable":true},"allergies":{"type":"string","nullable":true},"cancel_reason_id":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"moment":{"type":"string","nullable":true},"type_client":{"type":"string","nullable":true},"type_event":{"type":"string","nullable":true},"budget":{"type":"string","nullable":true},"date":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"reply_date":{"type":"string","nullable":true},"treatment":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"is_walk_in":{"type":"number","nullable":true},"waiting_list_for":{"type":"string","nullable":true},"is_reconfirmed":{"type":"number","nullable":true},"is_canceled_late":{"type":"number","nullable":true},"waiting_reconfirmation":{"type":"string","nullable":true},"is_locked":{"type":"boolean","nullable":true},"is_not_destockable":{"type":"boolean","nullable":true},"is_virtual_menu_sent":{"type":"number","nullable":true},"review":{"type":"number","nullable":true},"review_reminder":{"type":"number","nullable":true},"unsubscribed":{"type":"boolean","nullable":true},"attendance_customer":{"type":"number","nullable":true},"customer_sheet_id":{"type":"number","nullable":true},"waiter_id":{"type":"string","nullable":true},"custom_field":{"type":"string","nullable":true},"prescriber_id":{"type":"string","nullable":true},"is_risky":{"type":"boolean","nullable":true},"is_safe":{"type":"boolean","nullable":true},"status_updated_at":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"source_id":{"type":"number","nullable":true},"shift_date":{"type":"string","nullable":true},"waiting_inside_for":{"type":"string","nullable":true},"seated_substatus":{"type":"string","nullable":true},"phase":{"type":"string","nullable":true},"full_name":{"type":"string","nullable":true},"is_last_mail_notification_success":{"type":"boolean","nullable":true},"is_last_sms_notification_success":{"type":"boolean","nullable":true},"is_modifiable_by_end_user":{"type":"boolean","nullable":true},"late_cancelable_starting_at":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"number"}},"uuid":{"type":"string","nullable":true},"uuid_or_id":{"type":"string","nullable":true},"tables":{"nullable":true,"default":[],"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTableEmbeddable"}},"shift_slot":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefShiftSlotEmbeddable"}]},"shift_slot_id":{"type":"number","nullable":true},"customersheet":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"restaurant":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantEmbeddable"}]}},"required":["id","type","partner_id","reservation_type","restaurant_id","resto_id","resto_name","to","day","time","nb_guests","slots_count","civility","firstname","lastname","country","phone_number","email","comment","private_comment","allergies","cancel_reason_id","zip","lang","moment","type_client","type_event","budget","date","status","reply_date","treatment","url","is_walk_in","waiting_list_for","is_reconfirmed","is_canceled_late","waiting_reconfirmation","is_locked","is_not_destockable","is_virtual_menu_sent","review","review_reminder","unsubscribed","attendance_customer","customer_sheet_id","waiter_id","custom_field","prescriber_id","is_risky","is_safe","status_updated_at","created_at","updated_at","source_id","shift_date","waiting_inside_for","seated_substatus","phase","full_name","is_last_mail_notification_success","is_last_sms_notification_success","is_modifiable_by_end_user","late_cancelable_starting_at","tags","uuid","uuid_or_id","tables","shift_slot","shift_slot_id","customersheet","restaurant"]},"ZenchefRestaurantTableEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"booking_room_id":{"type":"number","nullable":true},"x":{"type":"number","nullable":true},"y":{"type":"number","nullable":true},"min":{"type":"number","nullable":true},"max":{"type":"number","nullable":true},"rotation":{"type":"number","nullable":true},"table_type_id":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"laravel_through_key":{"type":"number","nullable":true},"table_combinations":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTableCombinationEmbeddable"}}},"required":["id","name","booking_room_id","x","y","min","max","rotation","table_type_id","created_at","updated_at","laravel_through_key","table_combinations"]},"ZenchefRestaurantTableCombinationEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"min":{"type":"number","nullable":true},"max":{"type":"number","nullable":true},"position":{"type":"number","nullable":true},"is_group":{"type":"number","nullable":true},"is_bookable":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"booking_room_id":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"pivot":{"type":"object","nullable":true}},"required":["id","name","min","max","position","is_group","is_bookable","restaurant_id","booking_room_id","created_at","updated_at","pivot"]},"ZenchefShiftSlotEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"slot_name":{"type":"string","nullable":true},"slot_id":{"type":"number","nullable":true},"interval_in_minutes":{"type":"number","nullable":true},"id":{"type":"number","nullable":true},"shift":{"$ref":"#/components/schemas/ZenchefShiftEmbeddable"}},"required":["name","slot_name","slot_id","interval_in_minutes","id","shift"]},"ZenchefShiftEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"ZenchefCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number"},"type":{"type":"string"},"partner_id":{"type":"string","nullable":true},"reservation_type":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"resto_id":{"type":"number","nullable":true},"resto_name":{"type":"string","nullable":true},"to":{"type":"string","nullable":true},"day":{"type":"string","nullable":true},"time":{"type":"string","nullable":true},"nb_guests":{"type":"number","nullable":true},"slots_count":{"type":"number","nullable":true},"civility":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"private_comment":{"type":"string","nullable":true},"allergies":{"type":"string","nullable":true},"cancel_reason_id":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"moment":{"type":"string","nullable":true},"type_client":{"type":"string","nullable":true},"type_event":{"type":"string","nullable":true},"budget":{"type":"string","nullable":true},"date":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"reply_date":{"type":"string","nullable":true},"treatment":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"is_walk_in":{"type":"number","nullable":true},"waiting_list_for":{"type":"string","nullable":true},"is_reconfirmed":{"type":"number","nullable":true},"is_canceled_late":{"type":"number","nullable":true},"waiting_reconfirmation":{"type":"string","nullable":true},"is_locked":{"type":"boolean","nullable":true},"is_not_destockable":{"type":"boolean","nullable":true},"is_virtual_menu_sent":{"type":"number","nullable":true},"review":{"type":"number","nullable":true},"review_reminder":{"type":"number","nullable":true},"unsubscribed":{"type":"object"},"attendance_customer":{"type":"number","nullable":true},"customer_sheet_id":{"type":"number","nullable":true},"waiter_id":{"type":"number","nullable":true},"custom_field":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"prescriber_id":{"type":"string","nullable":true},"is_risky":{"type":"boolean","nullable":true},"is_safe":{"type":"boolean","nullable":true},"status_updated_at":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"source_id":{"type":"number","nullable":true},"shift_date":{"type":"string","nullable":true},"waiting_inside_for":{"type":"string","nullable":true},"seated_substatus":{"type":"string","nullable":true},"phase":{"type":"string","nullable":true},"full_name":{"type":"string","nullable":true},"is_last_mail_notification_success":{"type":"boolean","nullable":true},"is_last_sms_notification_success":{"type":"boolean","nullable":true},"is_modifiable_by_end_user":{"type":"boolean","nullable":true},"late_cancelable_starting_at":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"number"}},"uuid":{"type":"string","nullable":true},"uuid_or_id":{"type":"string","nullable":true},"tables":{"nullable":true,"default":[],"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTableEmbeddable"}},"shift_slot":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerShiftSlotEmbeddable"}]},"shift_slot_id":{"type":"number","nullable":true},"customersheet":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"restaurant":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantEmbeddable"}]},"image":{"type":"object","nullable":true},"marketing_param":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMarketingParamEmbeddable"}]},"restaurant_customer_sheets":{"nullable":true,"type":"array","items":{"type":"object"}},"social_profile":{"type":"object","nullable":true},"owner_id":{"type":"number","nullable":true},"restaurantid":{"type":"number","nullable":true},"retention_rate_label":{"type":"string","nullable":true},"retention_rate":{"type":"number","nullable":true},"company":{"type":"string","nullable":true},"account_id":{"type":"number","nullable":true},"customer_social_id":{"type":"object"},"customer_company_id":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"professional_email":{"type":"string","nullable":true},"professional_phone":{"type":"string","nullable":true},"birthdate":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"membershipnum":{"type":"string","nullable":true},"vip":{"type":"number","nullable":true},"has_no_show":{"type":"number","nullable":true},"is_new":{"type":"number","nullable":true},"is_blacklisted":{"type":"number","nullable":true},"has_opt_in_market_mail":{"type":"number","nullable":true},"has_opt_in_review_mail":{"type":"number","nullable":true},"imported_nb_bookings":{"type":"number","nullable":true},"non_duplicate_with":{"type":"string","nullable":true},"deleted_at":{"type":"string","nullable":true},"optins":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerOptinEmbeddable"}},"booking_offers":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerBookingOfferEmbeddable"}},"charge":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingChargeEmbeddable"}]},"policy":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingPolicyEmbeddable"}]},"waiter":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingWaiterEmbeddable"}]},"wish":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingWishEmbeddable"}]},"automatic_tags":{"nullable":true,"type":"array","items":{"type":"object"}},"booking_transfer":{"type":"object","nullable":true},"cancel_reason":{"type":"object","nullable":true},"custom_color":{"type":"string","nullable":true},"custom_field_values":{"nullable":true,"type":"array","items":{"type":"object"}},"expires_at":{"type":"string","nullable":true},"files":{"nullable":true,"type":"array","items":{"type":"object"}},"prescriber":{"type":"object","nullable":true},"scheduled_option":{"type":"object","nullable":true},"voucher":{"type":"object","nullable":true},"voucher_codes":{"nullable":true,"type":"array","items":{"type":"object"}}},"required":["id","type","partner_id","reservation_type","restaurant_id","resto_id","resto_name","to","day","time","nb_guests","slots_count","civility","firstname","lastname","country","phone_number","email","comment","private_comment","allergies","cancel_reason_id","zip","lang","moment","type_client","type_event","budget","date","status","reply_date","treatment","url","is_walk_in","waiting_list_for","is_reconfirmed","is_canceled_late","waiting_reconfirmation","is_locked","is_not_destockable","is_virtual_menu_sent","review","review_reminder","unsubscribed","attendance_customer","customer_sheet_id","waiter_id","custom_field","prescriber_id","is_risky","is_safe","status_updated_at","created_at","updated_at","source_id","shift_date","waiting_inside_for","seated_substatus","phase","full_name","is_last_mail_notification_success","is_last_sms_notification_success","is_modifiable_by_end_user","late_cancelable_starting_at","tags","uuid","uuid_or_id","tables","shift_slot","shift_slot_id","customersheet","restaurant","image","marketing_param","restaurant_customer_sheets","social_profile","owner_id","restaurantid","retention_rate_label","retention_rate","company","account_id","customer_social_id","customer_company_id","phone","professional_email","professional_phone","birthdate","address","city","membershipnum","vip","has_no_show","is_new","is_blacklisted","has_opt_in_market_mail","has_opt_in_review_mail","imported_nb_bookings","non_duplicate_with","deleted_at","optins","booking_offers","charge","policy","waiter","wish","automatic_tags","booking_transfer","cancel_reason","custom_color","custom_field_values","expires_at","files","prescriber","scheduled_option","voucher","voucher_codes"]},"ZenchefCustomerShiftSlotEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"slot_name":{"type":"string","nullable":true},"slot_id":{"type":"number","nullable":true},"interval_in_minutes":{"type":"number","nullable":true},"id":{"type":"number","nullable":true},"shift":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerShiftEmbeddable"}]}},"required":["name","slot_name","slot_id","interval_in_minutes","id","shift"]},"ZenchefCustomerShiftEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"ZenchefRestaurantEmbeddable":{"type":"object","properties":{"state":{"type":"object","nullable":true},"tracking_phone":{"type":"object","nullable":true},"accounting":{"type":"object","nullable":true},"reservation_auto_conf_max":{"type":"object","nullable":true},"ereputation":{"type":"object","nullable":true},"ereputation_activation_code":{"type":"object","nullable":true},"completion":{"type":"object","nullable":true},"to_be_deleted_at":{"type":"object","nullable":true},"deleted_at":{"type":"object","nullable":true},"date_start_contract_updated_at":{"type":"object","nullable":true},"date_end_free_trial":{"type":"object","nullable":true},"amount_method":{"type":"object","nullable":true},"twilio_phone":{"type":"object","nullable":true},"newsletter_counters_calculated_at":{"type":"object","nullable":true},"socials":{"type":"object","nullable":true},"module_html":{"type":"object","nullable":true},"module_video":{"type":"object","nullable":true},"module_virtual_tour":{"type":"object","nullable":true},"custom_link":{"type":"object","nullable":true},"custom_button":{"type":"object","nullable":true},"facebook_app":{"type":"object","nullable":true},"custom_web_setting":{"type":"object","nullable":true},"custom_web_stylesheet":{"type":"object","nullable":true},"tag_params":{"type":"object","nullable":true},"suggested_restaurants":{"type":"object","nullable":true},"voucher_param":{"type":"object","nullable":true},"restaurant_payment_param":{"type":"object","nullable":true},"restaurant_payment_providers":{"nullable":true,"type":"array","items":{"type":"object"}},"certifications":{"type":"object","nullable":true},"command_comment":{"type":"object","nullable":true},"comment":{"type":"object","nullable":true},"charge_param":{"type":"object","nullable":true},"backoffice_param":{"type":"object","nullable":true},"cancelation_param":{"type":"object","nullable":true},"waiters":{"nullable":true,"type":"array","items":{"type":"object"}},"groups":{"nullable":true,"type":"array","items":{"type":"object"}},"price_plan":{"type":"object","nullable":true},"stock_table_param":{"type":"object","nullable":true},"acl_packs":{"nullable":true,"type":"array","items":{"type":"object"}},"restaurant_params":{"nullable":true,"type":"array","items":{"type":"object"}},"user_acls":{"nullable":true,"type":"array","items":{"type":"object"}},"seatingPlanParams":{"type":"object","nullable":true},"legalNotice":{"type":"object","nullable":true},"bookingParams":{"type":"object","nullable":true},"commandParams":{"type":"object","nullable":true},"restaurant_prepayment_param":{"type":"object","nullable":true},"restaurant_imprint_param":{"type":"object","nullable":true},"acls":{"nullable":true,"type":"array","items":{"type":"object"}},"publishers":{"nullable":true,"type":"array","items":{"type":"object"}},"reviewDistributions":{"nullable":true,"type":"array","items":{"type":"object"}},"id":{"type":"number","nullable":true},"owner_id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"address_2":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"longitude":{"type":"string","nullable":true},"latitude":{"type":"string","nullable":true},"timezone":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"capacity":{"type":"number","nullable":true},"avg_budget":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"facebook":{"type":"string","nullable":true},"twitter":{"type":"string","nullable":true},"instagram":{"type":"string","nullable":true},"google_plus":{"type":"string","nullable":true},"tripadvisor":{"type":"string","nullable":true},"moving":{"type":"number","nullable":true},"phone":{"type":"string","nullable":true},"phone_2":{"type":"string","nullable":true},"fax":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"reservation_email":{"type":"string","nullable":true},"reservation_phone":{"type":"string","nullable":true},"reservation_phone_sms":{"type":"string","nullable":true},"charge_emails":{"type":"string","nullable":true},"reconfirmation_emails":{"type":"string","nullable":true},"prepay_emails":{"type":"string","nullable":true},"command_emails":{"type":"string","nullable":true},"sms_oadc":{"type":"string","nullable":true},"reservation":{"type":"number","nullable":true},"reservation_notifications":{"type":"number","nullable":true},"delivery":{"type":"number","nullable":true},"actived_phone_tracking":{"type":"number","nullable":true},"metro":{"type":"string","nullable":true},"train":{"type":"string","nullable":true},"velo":{"type":"string","nullable":true},"autolib":{"type":"string","nullable":true},"parking":{"type":"string","nullable":true},"bus":{"type":"string","nullable":true},"delivery_url":{"type":"string","nullable":true},"reservation_url":{"type":"string","nullable":true},"wap_vhost":{"type":"string","nullable":true},"subdomain":{"type":"string","nullable":true},"web_vhost":{"type":"string","nullable":true},"web_subdomain":{"type":"string","nullable":true},"www_redirect":{"type":"string","nullable":true},"page_title":{"type":"string","nullable":true},"own_website":{"type":"number","nullable":true},"analytics":{"type":"string","nullable":true},"tag_manager":{"type":"string","nullable":true},"facebook_pixel_id":{"type":"string","nullable":true},"theme":{"type":"string","nullable":true},"button_theme":{"type":"string","nullable":true},"color":{"type":"string","nullable":true},"business_type":{"type":"string","nullable":true},"is_client":{"type":"number","nullable":true},"is_ambassador":{"type":"number","nullable":true},"has_been_client":{"type":"number","nullable":true},"client_type":{"type":"string","nullable":true},"price_plan_id":{"type":"number","nullable":true},"recovery_at":{"type":"string","nullable":true},"is_recovery":{"type":"number","nullable":true},"closed":{"type":"number","nullable":true},"sms_credits":{"type":"number","nullable":true},"reservation_auto_conf":{"type":"number","nullable":true},"auto_modified":{"type":"string","nullable":true},"booking_widget_time_interval":{"type":"string","nullable":true},"is_blocking_waiting":{"type":"number","nullable":true},"custom_web_setting_id":{"type":"string","nullable":true},"sf_opportunity_id":{"type":"string","nullable":true},"sf_account_id":{"type":"string","nullable":true},"cbee_account_id":{"type":"string","nullable":true},"z_account_id":{"type":"string","nullable":true},"invokit_id":{"type":"number","nullable":true},"company_id":{"type":"number","nullable":true},"parent_id":{"type":"string","nullable":true},"country_id":{"type":"number","nullable":true},"google_rating":{"type":"number","nullable":true},"ereputation_id":{"type":"string","nullable":true},"ereputation_url":{"type":"string","nullable":true},"date_start_contract":{"type":"string","nullable":true},"nb_reservation_total":{"type":"string","nullable":true},"revenue_total":{"type":"string","nullable":true},"slug":{"type":"string","nullable":true},"mail_reviews":{"type":"number","nullable":true},"private_reviews":{"type":"number","nullable":true},"private_reviews_reply_displaying":{"type":"number","nullable":true},"private_reviews_period":{"type":"number","nullable":true},"booking_reminder_hours":{"type":"number","nullable":true},"disable_3263":{"type":"number","nullable":true},"new_booking_widget":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"enable_cache":{"type":"number","nullable":true},"privatisation_emails":{"type":"string","nullable":true},"contact_emails":{"type":"string","nullable":true},"review_emails":{"type":"string","nullable":true},"tracking_app_id":{"type":"string","nullable":true},"calldesk_phone":{"type":"string","nullable":true},"optin":{"type":"string","nullable":true},"has_pin":{"type":"boolean","nullable":true},"pin":{"type":"string","nullable":true},"pin_required_from":{"type":"number","nullable":true},"has_room_map":{"type":"number","nullable":true},"has_prepayment":{"type":"number","nullable":true},"has_precharge":{"type":"number","nullable":true},"has_group_search":{"type":"number","nullable":true},"has_automatic_status":{"type":"number","nullable":true},"has_room_selection_on_widget":{"type":"boolean","nullable":true},"is_room_selection_mandatory":{"type":"boolean","nullable":true},"test":{"type":"number","nullable":true},"review_reminder":{"type":"number","nullable":true},"is_white_label":{"type":"number","nullable":true},"close_commands":{"type":"number","nullable":true},"open_commands":{"type":"number","nullable":true},"commands_auto_conf":{"type":"number","nullable":true},"rooms":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantRoomEmbeddable"}},"tables":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTableEmbeddable"}},"country":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantCountryEmbeddable"}]},"display_name":{"type":"string","nullable":true},"valid_gtc":{"type":"boolean","nullable":true},"current_gtc":{"type":"string","nullable":true},"has_virtual_menu":{"type":"boolean","nullable":true},"has_active_prepayment_connection":{"type":"boolean","nullable":true},"has_active_imprint_connection":{"type":"boolean","nullable":true},"has_active_payment_connection":{"type":"boolean","nullable":true},"is_payment_connection_required":{"type":"boolean","nullable":true},"is_prepayment_connection_required":{"type":"boolean","nullable":true},"is_imprint_connection_required":{"type":"boolean","nullable":true},"is_stripe_connection_required":{"type":"boolean","nullable":true},"has_connected_vouchers":{"type":"boolean","nullable":true},"country_iso2":{"type":"string","nullable":true}},"required":["state","tracking_phone","accounting","reservation_auto_conf_max","ereputation","ereputation_activation_code","completion","to_be_deleted_at","deleted_at","date_start_contract_updated_at","date_end_free_trial","amount_method","twilio_phone","newsletter_counters_calculated_at","socials","module_html","module_video","module_virtual_tour","custom_link","custom_button","facebook_app","custom_web_setting","custom_web_stylesheet","tag_params","suggested_restaurants","voucher_param","restaurant_payment_param","restaurant_payment_providers","certifications","command_comment","comment","charge_param","backoffice_param","cancelation_param","waiters","groups","price_plan","stock_table_param","acl_packs","restaurant_params","user_acls","seatingPlanParams","legalNotice","bookingParams","commandParams","restaurant_prepayment_param","restaurant_imprint_param","acls","publishers","reviewDistributions","id","owner_id","name","address","address_2","zip","city","type","longitude","latitude","timezone","lang","capacity","avg_budget","website","facebook","twitter","instagram","google_plus","tripadvisor","moving","phone","phone_2","fax","email","first_name","last_name","reservation_email","reservation_phone","reservation_phone_sms","charge_emails","reconfirmation_emails","prepay_emails","command_emails","sms_oadc","reservation","reservation_notifications","delivery","actived_phone_tracking","metro","train","velo","autolib","parking","bus","delivery_url","reservation_url","wap_vhost","subdomain","web_vhost","web_subdomain","www_redirect","page_title","own_website","analytics","tag_manager","facebook_pixel_id","theme","button_theme","color","business_type","is_client","is_ambassador","has_been_client","client_type","price_plan_id","recovery_at","is_recovery","closed","sms_credits","reservation_auto_conf","auto_modified","booking_widget_time_interval","is_blocking_waiting","custom_web_setting_id","sf_opportunity_id","sf_account_id","cbee_account_id","z_account_id","invokit_id","company_id","parent_id","country_id","google_rating","ereputation_id","ereputation_url","date_start_contract","nb_reservation_total","revenue_total","slug","mail_reviews","private_reviews","private_reviews_reply_displaying","private_reviews_period","booking_reminder_hours","disable_3263","new_booking_widget","created_at","updated_at","enable_cache","privatisation_emails","contact_emails","review_emails","tracking_app_id","calldesk_phone","optin","has_pin","pin","pin_required_from","has_room_map","has_prepayment","has_precharge","has_group_search","has_automatic_status","has_room_selection_on_widget","is_room_selection_mandatory","test","review_reminder","is_white_label","close_commands","open_commands","commands_auto_conf","rooms","tables","country","display_name","valid_gtc","current_gtc","has_virtual_menu","has_active_prepayment_connection","has_active_imprint_connection","has_active_payment_connection","is_payment_connection_required","is_prepayment_connection_required","is_imprint_connection_required","is_stripe_connection_required","has_connected_vouchers","country_iso2"]},"ZenchefRestaurantRoomEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name_translations":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantNameTranslationsEmbeddable"}]},"capacity":{"type":"number","nullable":true},"description":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"width":{"type":"number","nullable":true},"height":{"type":"number","nullable":true},"position":{"type":"number","nullable":true},"has_sea":{"type":"number","nullable":true},"has_sand":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["id","name_translations","capacity","description","restaurant_id","width","height","position","has_sea","has_sand","created_at","updated_at"]},"ZenchefRestaurantNameTranslationsEmbeddable":{"type":"object","properties":{"en":{"type":"string","nullable":true}},"required":["en"]},"ZenchefRestaurantCountryEmbeddable":{"type":"object","properties":{"oadc":{"type":"object","nullable":true},"id":{"type":"number","nullable":true},"iso":{"type":"string","nullable":true},"iso3":{"type":"string","nullable":true},"default_lang":{"type":"string","nullable":true},"available_locales":{"nullable":true,"type":"array","items":{"type":"string"}},"title":{"type":"string","nullable":true},"en":{"type":"string","nullable":true},"fr":{"type":"string","nullable":true},"es":{"type":"string","nullable":true},"pt":{"type":"string","nullable":true},"de":{"type":"string","nullable":true},"it":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"active":{"type":"number","nullable":true},"currency":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"vat":{"type":"string","nullable":true},"locale":{"type":"string","nullable":true},"timezone":{"type":"string","nullable":true},"phone_support":{"type":"string","nullable":true},"taxes":{"nullable":true,"type":"array","items":{"type":"object"}}},"required":["oadc","id","iso","iso3","default_lang","available_locales","title","en","fr","es","pt","de","it","code","active","currency","created_at","updated_at","vat","locale","timezone","phone_support","taxes"]},"ZenchefCustomerMarketingParamEmbeddable":{"type":"object","properties":{"has_review":{"type":"boolean","nullable":true}},"required":["has_review"]},"ZenchefCustomerOptinEmbeddable":{"type":"object","properties":{"type":{"allOf":[{"$ref":"#/components/schemas/ZenchefCustomerOptinType"}]},"id":{"type":"number","nullable":true},"customer_sheet_id":{"type":"number"},"value":{"type":"boolean","nullable":true},"is_last":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true}},"required":["type","id","customer_sheet_id","value","is_last","created_at"]},"ZenchefCustomerOptinType":{"type":"string","enum":["market_sms","market_mail","review_sms","review_mail"]},"ZenchefCustomerBookingOfferEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"count":{"type":"number","nullable":true},"offer_id":{"type":"number","nullable":true},"booking_id":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"offer_data":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingOfferDataEmbeddable"}]}},"required":["id","count","offer_id","booking_id","created_at","updated_at","offer_data"]},"ZenchefCustomerBookingOfferDataEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"position":{"type":"number","nullable":true},"date_from":{"type":"string","nullable":true},"date_to":{"type":"string","nullable":true},"is_active":{"type":"boolean","nullable":true},"is_private":{"type":"boolean","nullable":true},"is_highlighted":{"type":"boolean","nullable":true},"is_on_first_step":{"type":"boolean","nullable":true},"is_squeezed":{"type":"boolean","nullable":true},"has_duration":{"type":"boolean","nullable":true},"has_prepayment":{"type":"boolean","nullable":true},"is_cancelable_auto":{"type":"boolean","nullable":true},"charge_per_guests":{"type":"number","nullable":true},"refund_strategy":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"restaurant":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantEmbeddable"}]},"description":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"name_translations":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"mon":{"type":"boolean","nullable":true},"tue":{"type":"boolean","nullable":true},"wed":{"type":"boolean","nullable":true},"thu":{"type":"boolean","nullable":true},"fri":{"type":"boolean","nullable":true},"sat":{"type":"boolean","nullable":true},"sun":{"type":"boolean","nullable":true},"bookable_from_interval":{"type":"number","nullable":true},"bookable_from_reference":{"type":"string","nullable":true},"bookable_to_interval":{"type":"number","nullable":true},"bookable_to_reference":{"type":"string","nullable":true},"auto_cancelable_after":{"type":"number","nullable":true},"turn_times":{"type":"object","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"deleted_at":{"type":"string","nullable":true}},"required":["id","name","type","position","date_from","date_to","is_active","is_private","is_highlighted","is_on_first_step","is_squeezed","has_duration","has_prepayment","is_cancelable_auto","charge_per_guests","refund_strategy","restaurant_id","restaurant","description","name_translations","mon","tue","wed","thu","fri","sat","sun","bookable_from_interval","bookable_from_reference","bookable_to_interval","bookable_to_reference","auto_cancelable_after","turn_times","created_at","updated_at","deleted_at"]},"ZenchefCustomerBookingChargeEmbeddable":{"type":"object","properties":{"amount":{"type":"number","nullable":true},"amount_refunded":{"type":"number","nullable":true},"booking_id":{"type":"number","nullable":true},"currency":{"type":"string","nullable":true},"customer_id":{"type":"string","nullable":true},"partner_id":{"type":"string","nullable":true},"pending_refund_amount":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"setup_intent_id":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"stripe_client_secret":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"batch_id":{"type":"string","nullable":true},"capture_date":{"type":"string","nullable":true},"charge_id":{"type":"string","nullable":true},"fee":{"type":"number","nullable":true},"fee_gateway":{"type":"number","nullable":true},"fee_ratio":{"type":"number","nullable":true},"fee_zenchef":{"type":"number","nullable":true},"payment_id":{"type":"string","nullable":true},"payout_id":{"type":"string","nullable":true},"quotation_id":{"type":"string","nullable":true},"token":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["amount","amount_refunded","booking_id","currency","customer_id","partner_id","pending_refund_amount","restaurant_id","setup_intent_id","status","stripe_client_secret","type","batch_id","capture_date","charge_id","fee","fee_gateway","fee_ratio","fee_zenchef","payment_id","payout_id","quotation_id","token","created_at","updated_at"]},"ZenchefCustomerBookingPolicyEmbeddable":{"type":"object","properties":{"enduser_cancelable_before":{"type":"number","nullable":true},"refund_strategy":{"type":"string","nullable":true}},"required":["enduser_cancelable_before","refund_strategy"]},"ZenchefCustomerBookingWaiterEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"ZenchefCustomerBookingWishEmbeddable":{"type":"object","properties":{"booking_id":{"type":"number","nullable":true},"booking_room_id":{"type":"number","nullable":true}},"required":["booking_id","booking_room_id"]},"ZenchefFeedbackReplyMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"review_id":{"type":"number","nullable":true},"reply":{"type":"string","nullable":true},"is_gpt_generated":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["id","review_id","reply","is_gpt_generated","created_at","updated_at"]},"ZenchefTagEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"polarity":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"pivot":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefTagPivotEmbeddable"}]}},"required":["id","name","polarity","type","pivot"]},"ZenchefTagPivotEmbeddable":{"type":"object","properties":{"review_id":{"type":"number","nullable":true},"polarity_tag_id":{"type":"number","nullable":true}},"required":["review_id","polarity_tag_id"]},"DeliverooFeedbackMetadatasEmbeddable":{"type":"object","properties":{"order_uuid":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"rating_comment":{"type":"string","nullable":true},"rating_stars":{"type":"number","nullable":true},"restaurant_id":{"type":"string","nullable":true},"frequency":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFrequencyMetadatasEmbeddable"}]},"refund":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFeedbackRefundMetadatasEmbeddable"}]},"order":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPurchaseMetadatasEmbeddable"}]},"reply":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFeedbackReplyMetadatasEmbeddable"}]}},"required":["order_uuid","created_at","rating_comment","rating_stars","restaurant_id","frequency","refund","order","reply"]},"DeliverooFrequencyMetadatasEmbeddable":{"type":"object","properties":{"customer_orders":{"type":"number","nullable":true}},"required":["customer_orders"]},"DeliverooFeedbackRefundMetadatasEmbeddable":{"type":"object","properties":{"order_id":{"type":"string","nullable":true},"order_uuid":{"type":"string","nullable":true},"order_drn_id":{"type":"string","nullable":true},"order_number":{"type":"number","nullable":true},"branch_id":{"type":"number","nullable":true},"branch_name":{"type":"string","nullable":true},"order_date":{"type":"string","nullable":true},"order_refund_status":{"type":"string","nullable":true},"order_type":{"type":"string","nullable":true},"refund_total":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"refund_paid_by_restaurant_total":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"order_total":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"order_sub_total":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"order_gross_merchandise_value":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"items":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooFeedbackRefundItemMetadatasEmbeddable"}},"compensations":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooFeedbackCompensationMetadatasEmbeddable"}}},"required":["order_id","order_uuid","order_drn_id","order_number","branch_id","branch_name","order_date","order_refund_status","order_type","refund_total","refund_paid_by_restaurant_total","order_total","order_sub_total","order_gross_merchandise_value","items","compensations"]},"DeliverooPriceMetadatasEmbeddable":{"type":"object","properties":{"fractional":{"type":"number","nullable":true},"formatted":{"type":"string","nullable":true},"currency_code":{"type":"string","nullable":true}},"required":["fractional","formatted","currency_code"]},"DeliverooFeedbackRefundItemMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"quantity":{"type":"number","nullable":true},"restaurant_name":{"type":"string","nullable":true},"refund_reason":{"type":"string","nullable":true},"unit_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"total_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"total_unit_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"modifiers":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooFeedbackMetadatasModifier"}},"category_name":{"type":"string","nullable":true}},"required":["id","name","quantity","restaurant_name","refund_reason","unit_price","total_price","total_unit_price","modifiers","category_name"]},"DeliverooFeedbackMetadatasModifier":{"type":"object","properties":{"name":{"type":"string","nullable":true}},"required":["name"]},"DeliverooFeedbackCompensationMetadatasEmbeddable":{"type":"object","properties":{"photos":{"type":"object","nullable":true},"refund_status":{"type":"string","nullable":true},"id":{"type":"number","nullable":true},"refund_date":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"action_id":{"type":"string","nullable":true},"input_description":{"type":"string","nullable":true},"selected_resolution":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFeedbackCompensationSelectedResolutionMetadatasEmbeddable"}]},"compensated_items":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooFeedbackCompensationCompensatedItemsMetadatasEmbeddable"}}},"required":["photos","refund_status","id","refund_date","status","action_id","input_description","selected_resolution","compensated_items"]},"DeliverooFeedbackCompensationSelectedResolutionMetadatasEmbeddable":{"type":"object","properties":{"resolution_type":{"type":"string","nullable":true},"source":{"type":"string","nullable":true},"repeat_order_id":{"type":"string","nullable":true},"repeat_order_drn_id":{"type":"string","nullable":true},"amount":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]}},"required":["resolution_type","source","repeat_order_id","repeat_order_drn_id","amount"]},"DeliverooFeedbackCompensationCompensatedItemsMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true}},"required":["name","id","reason"]},"DeliverooPurchaseMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"items":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooItemsMetadatasEmbeddable"}},"restaurant_id":{"type":"string","nullable":true},"amount":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"status":{"type":"string","nullable":true},"rejection_reason":{"type":"string","nullable":true},"order_number":{"type":"string","nullable":true},"timeline":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooTimelineMetadatasEmbeddable"}]},"customer":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPurchaseCustomerMetadatasEmbeddable"}]},"paid_in_cash":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"short_drn":{"type":"string","nullable":true},"drn_id":{"type":"string","nullable":true}},"required":["id","items","restaurant_id","amount","status","rejection_reason","order_number","timeline","customer","paid_in_cash","short_drn","drn_id"]},"DeliverooItemsMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"quantity":{"type":"number","nullable":true},"unit_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"total_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"total_unit_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"modifiers":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooModifiersMetadatasEmbeddable"}},"category_name":{"type":"string","nullable":true}},"required":["name","quantity","unit_price","total_price","total_unit_price","modifiers","category_name"]},"DeliverooModifiersMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true}},"required":["name"]},"DeliverooTimelineMetadatasEmbeddable":{"type":"object","properties":{"placed_at":{"type":"string","nullable":true}},"required":["placed_at"]},"DeliverooPurchaseCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true}},"required":["id"]},"DeliverooFeedbackReplyMetadatasEmbeddable":{"type":"object","properties":{"content":{"type":"string","nullable":true},"order_uuid":{"type":"string","nullable":true},"order_drn_id":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"author_name":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"rejection_reason":{"type":"string","nullable":true},"failure_type":{"type":"string","nullable":true},"credit_amount":{"type":"number","nullable":true},"credit_currency_code":{"type":"string","nullable":true}},"required":["content","order_uuid","order_drn_id","status","author_name","created_at","rejection_reason","failure_type","credit_amount","credit_currency_code"]},"TripAdvisorFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"alertStatus":{"type":"boolean"},"rating":{"type":"number"},"status":{"type":"string"},"id":{"type":"number"},"translationType":{"type":"string","nullable":true},"attribution":{"type":"string","nullable":true},"roomTip":{"type":"string","nullable":true},"title":{"type":"string"},"text":{"type":"string"},"username":{"type":"string"},"language":{"type":"string"},"userInfo":{"$ref":"#/components/schemas/TripAdvisorFeedbackUserInfoEmbeddable"},"additionalRatings":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/TripAdvisorFeedbackAdditionalRatingEmbeddable"}}},"required":["alertStatus","rating","status","id","translationType","attribution","roomTip","title","text","username","language","userInfo","additionalRatings"]},"TripAdvisorFeedbackUserInfoEmbeddable":{"type":"object","properties":{"helpfulVotes":{"type":"number"},"contributionCount":{"type":"number"},"homeTown":{"type":"string","nullable":true},"avatarUrl":{"type":"string","nullable":true}},"required":["helpfulVotes","contributionCount","homeTown","avatarUrl"]},"TripAdvisorFeedbackAdditionalRatingEmbeddable":{"type":"object","properties":{"rating":{"type":"number"},"ratingLabel":{"type":"string"}},"required":["rating","ratingLabel"]},"UbereatsFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"uuid":{"type":"string","nullable":true},"timestamp":{"type":"string","nullable":true},"rating":{"type":"number","nullable":true},"comment":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"string"}},"menuItemReviews":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/UbereatsMenuItemReviewEmbeddable"}}},"required":["uuid","timestamp","rating","comment","tags","menuItemReviews"]},"UbereatsMenuItemReviewEmbeddable":{"type":"object","properties":{"__typename":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"rating":{"type":"boolean","nullable":true},"name":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"string"}}},"required":["__typename","id","rating","name","comment","tags"]},"SevenroomsFeedbackMetadatasEmbeddable":{"type":"object","properties":{"recommend_to_friend":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/SevenroomsRecommendToFriend"}]},"feedback_type":{"type":"string","nullable":true},"reservation_id":{"type":"string","nullable":true},"order_id":{"type":"string","nullable":true},"reservation_date":{"type":"string","nullable":true},"received_date":{"type":"string","nullable":true},"created_date":{"type":"string","nullable":true},"overall":{"type":"string","nullable":true},"food":{"type":"string","nullable":true},"drinks":{"type":"string","nullable":true},"ambience":{"type":"string","nullable":true},"service":{"type":"string","nullable":true},"notes":{"type":"string","nullable":true}},"required":["recommend_to_friend","feedback_type","reservation_id","order_id","reservation_date","received_date","created_date","overall","food","drinks","ambience","service","notes"]},"SevenroomsRecommendToFriend":{"type":"string","enum":["Yes","No","not filled in"]},"SupportEmailFeedbackMetadatasEmbeddable":{"type":"object","properties":{"From":{"type":"string"},"FromName":{"type":"string"},"FromFull":{"$ref":"#/components/schemas/PostmarkInboundRecipientEmbeddable"},"To":{"type":"string"},"ToFull":{"type":"array","items":{"$ref":"#/components/schemas/PostmarkInboundRecipientEmbeddable"}},"Cc":{"type":"string"},"CcFull":{"type":"array","items":{"$ref":"#/components/schemas/PostmarkInboundRecipientEmbeddable"}},"Bcc":{"type":"string"},"BccFull":{"type":"array","items":{"$ref":"#/components/schemas/PostmarkInboundRecipientEmbeddable"}},"OriginalRecipient":{"type":"string"},"Subject":{"type":"string"},"ReplyTo":{"type":"string","nullable":true},"Date":{"type":"string","nullable":true},"MailboxHash":{"type":"string","nullable":true},"Tag":{"type":"string","nullable":true},"MessageID":{"type":"string","nullable":true},"Status":{"type":"string","nullable":true},"MessageStream":{"type":"string","nullable":true},"TextBody":{"type":"string","nullable":true},"HtmlBody":{"type":"string","nullable":true},"StrippedTextReply":{"type":"string","nullable":true},"Headers":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/PostmarkHeaderEmbeddable"}},"BlockedReason":{"type":"string","nullable":true},"Attachments":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/SupportEmailAttachmentMetadatasEmbeddable"}}},"required":["From","FromName","FromFull","To","ToFull","Cc","CcFull","Bcc","BccFull","OriginalRecipient","Subject","ReplyTo","Date","MailboxHash","Tag","MessageID","Status","MessageStream","TextBody","HtmlBody","StrippedTextReply","Headers","BlockedReason","Attachments"]},"PostmarkInboundRecipientEmbeddable":{"type":"object","properties":{"Email":{"type":"string"},"Name":{"type":"string"},"MailboxHash":{"type":"string"}},"required":["Email","Name","MailboxHash"]},"PostmarkHeaderEmbeddable":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}},"required":["Name","Value"]},"SupportEmailAttachmentMetadatasEmbeddable":{"type":"object","properties":{"Name":{"type":"string"},"ContentID":{"type":"string","nullable":true},"ContentType":{"type":"string"},"ContentLength":{"type":"number"},"Disposition":{"type":"string","nullable":true}},"required":["Name","ContentID","ContentType","ContentLength","Disposition"]},"SiteFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormFieldMetadatasEmbeddable"}}},"required":["fields"]},"ContactFormFieldMetadatasEmbeddable":{"type":"object","properties":{"type":{"description":"The type of the form field","allOf":[{"$ref":"#/components/schemas/ContactFormFieldType"}]},"id":{"type":"string","description":"The field id"},"values":{"description":"Field values","type":"array","items":{"type":"string"}},"label":{"type":"string","nullable":true,"description":"The label of the form field, if applicable"},"verticalIndex":{"type":"object","description":"The vertical position index of the form field","default":0},"horizontalIndex":{"type":"object","description":"The horizontal position index of the form field","default":0}},"required":["type","id","values","label","verticalIndex","horizontalIndex"]},"ContactFormFieldType":{"type":"string","enum":["TEXT","DROPDOWN","RADIO","CHECKBOX","FILES","DATE","STORE","FIRSTNAME","LASTNAME","CIVILITY","EMAIL","PHONE","PURCHASE","MAIN"],"description":"Contact form field type"},"MetaMessageMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string"},"created_time":{"type":"string"},"from":{"$ref":"#/components/schemas/MetaApiMessageFromEmbeddable"},"is_unsupported":{"type":"boolean","nullable":true},"message":{"type":"string"},"reactions":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiOutputReactionEmbeddable"}]},"fullwhereReaction":{"type":"string","nullable":true},"story":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiOutputStoryEmbeddable"}]},"tags":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiOutputTagEmbeddable"}]},"shares":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiPaginatedOutputShareEmbeddable"}]},"to":{"$ref":"#/components/schemas/MetaApiOutputRecipientEmbeddable"},"attachments":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiOutputAttachmentEmbeddable"}]},"is_deleted":{"type":"boolean","nullable":true},"reply_to":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiMessageReplyToEmbeddable"}]}},"required":["id","created_time","from","is_unsupported","message","reactions","fullwhereReaction","story","tags","shares","to","attachments","is_deleted","reply_to"]},"MetaApiMessageFromEmbeddable":{"type":"object","properties":{"id":{"type":"string"},"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"username":{"type":"string","nullable":true}},"required":["id","email","name","username"]},"MetaApiOutputReactionEmbeddable":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MetaApiMessageReactionEmbeddable"}},"paging":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiPagingEmbeddable"}]}},"required":["data","paging"]},"MetaApiMessageReactionEmbeddable":{"type":"object","properties":{"reaction":{"type":"string"},"users":{"type":"array","items":{"$ref":"#/components/schemas/MetaApiMessageUserEmbeddable"}}},"required":["reaction","users"]},"MetaApiMessageUserEmbeddable":{"type":"object","properties":{"username":{"type":"string"},"id":{"type":"string"}},"required":["username","id"]},"MetaApiPagingEmbeddable":{"type":"object","properties":{"cursors":{"$ref":"#/components/schemas/MetaApiCursorEmbeddable"},"next":{"type":"string"}},"required":["cursors","next"]},"MetaApiCursorEmbeddable":{"type":"object","properties":{"before":{"type":"string"},"after":{"type":"string"}},"required":["before","after"]},"MetaApiOutputStoryEmbeddable":{"type":"object","properties":{"mention":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiMessageStoryDataEmbeddable"}]},"reply":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiMessageStoryDataEmbeddable"}]},"reply_to":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiMessageStoryDataEmbeddable"}]}}},"MetaApiMessageStoryDataEmbeddable":{"type":"object","properties":{"link":{"type":"string"},"id":{"type":"string"}},"required":["link","id"]},"MetaApiOutputTagEmbeddable":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MetaApiMessageTagEmbeddable"}}},"required":["data"]},"MetaApiMessageTagEmbeddable":{"type":"object","properties":{"name":{"type":"string"}},"required":["name"]},"MetaApiPaginatedOutputShareEmbeddable":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MetaApiMessageShareEmbeddable"}},"paging":{"$ref":"#/components/schemas/MetaApiPagingEmbeddable"}},"required":["data","paging"]},"MetaApiMessageShareEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"link":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["id","link","description"]},"MetaApiOutputRecipientEmbeddable":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MetaApiMessageRecipientEmbeddable"}}},"required":["data"]},"MetaApiMessageRecipientEmbeddable":{"type":"object","properties":{"id":{"type":"string"},"username":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","username","email","name"]},"MetaApiOutputAttachmentEmbeddable":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MetaApiMessageAttachmentEmbeddable"}},"paging":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiPagingEmbeddable"}]}},"required":["data","paging"]},"MetaApiMessageAttachmentEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"mime_type":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"size":{"type":"number","nullable":true},"file_url":{"type":"string","nullable":true},"image_data":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiPictureEmbeddable"}]},"video_data":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiMessageVideoDataEmbeddable"}]},"generic_template":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiMessageGenericTemplateEmbeddable"}]},"payload":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiMessagePayloadEmbeddable"}]}},"required":["id","type","mime_type","name","size","file_url","image_data","video_data","generic_template","payload"]},"MetaApiPictureEmbeddable":{"type":"object","properties":{"width":{"type":"number","nullable":true},"height":{"type":"number","nullable":true},"max_height":{"type":"number","nullable":true},"max_width":{"type":"number","nullable":true},"url":{"type":"string"},"preview_url":{"type":"string","nullable":true},"image_type":{"type":"number"},"render_as_sticker":{"type":"boolean","nullable":true},"animated_gif_preview_url":{"type":"string","nullable":true},"animated_gif_url":{"type":"string","nullable":true},"animated_webp_preview_url":{"type":"string","nullable":true},"animated_webp_url":{"type":"string","nullable":true},"raw_gif_image":{"type":"string","nullable":true},"raw_webp_image":{"type":"string","nullable":true},"cta":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiMessageCTAEmbeddable"}]},"subtitle":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"is_silhouette":{"type":"string","nullable":true}},"required":["width","height","max_height","max_width","url","preview_url","image_type","render_as_sticker","animated_gif_preview_url","animated_gif_url","animated_webp_preview_url","animated_webp_url","raw_gif_image","raw_webp_image","cta","subtitle","title","is_silhouette"]},"MetaApiMessageCTAEmbeddable":{"type":"object","properties":{"title":{"type":"string"},"type":{"type":"string"},"url":{"type":"string"}},"required":["title","type","url"]},"MetaApiMessageVideoDataEmbeddable":{"type":"object","properties":{"url":{"type":"string"}},"required":["url"]},"MetaApiMessageGenericTemplateEmbeddable":{"type":"object","properties":{"cta":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/MetaApiMessageCTAEmbeddable"}},"url":{"type":"string"},"subtitle":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"media_url":{"type":"string","nullable":true}},"required":["cta","url","subtitle","title","media_url"]},"MetaApiMessagePayloadEmbeddable":{"type":"object","properties":{"url":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"sticker_id":{"type":"number","nullable":true},"reel_video_id":{"type":"object"},"ig_post_media_id":{"type":"string","nullable":true},"product":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MetaApiMessagePayloadProductEmbeddable"}]}},"required":["url","title","sticker_id","reel_video_id","ig_post_media_id","product"]},"MetaApiMessagePayloadProductEmbeddable":{"type":"object","properties":{"elements":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/MetaApiMessagePayloadProductElementEmbeddable"}}},"required":["elements"]},"MetaApiMessagePayloadProductElementEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"retailer_id":{"type":"string","nullable":true},"image_url":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"subtitle":{"type":"string","nullable":true}},"required":["id","retailer_id","image_url","title","subtitle"]},"MetaApiMessageReplyToEmbeddable":{"type":"object","properties":{"mid":{"type":"string"},"is_self_reply":{"type":"boolean"}},"required":["mid","is_self_reply"]},"WhatsAppMessageMetadatasEmbeddable":{"type":"object","properties":{"from":{"type":"string","nullable":true},"from_user_id":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"timestamp":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"reaction":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageReactionEmbeddable"}]},"fullwhereReaction":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageReactionEmbeddable"}]},"text":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageTextEmbeddable"}]},"audio":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageFileEmbeddable"}]},"image":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageFileEmbeddable"}]},"video":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageFileEmbeddable"}]},"document":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageFileEmbeddable"}]},"sticker":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageFileEmbeddable"}]},"system":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageSystemEmbeddable"}]},"referral":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageReferralEmbeddable"}]},"order":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageOrderEmbeddable"}]},"interactive":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageInteractiveEmbeddable"}]},"button":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageButtonEmbeddable"}]},"context":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageContextEmbeddable"}]},"errors":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/WhatsAppErrorEmbeddable"}},"identity":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppIdentityEmbeddable"}]},"location":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppLocationEmbeddable"}]},"contacts":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/WhatsAppContactEmbeddable"}},"isDeleted":{"type":"boolean","nullable":true}},"required":["from","from_user_id","id","timestamp","type","reaction","fullwhereReaction","text","audio","image","video","document","sticker","system","referral","order","interactive","button","context","errors","identity","location","contacts","isDeleted"]},"WhatsAppMessageReactionEmbeddable":{"type":"object","properties":{"message_id":{"type":"string","nullable":true},"emoji":{"type":"string","nullable":true}},"required":["message_id","emoji"]},"WhatsAppMessageTextEmbeddable":{"type":"object","properties":{"body":{"type":"string","nullable":true}},"required":["body"]},"WhatsAppMessageFileEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"file_size":{"type":"number","nullable":true},"filename":{"type":"string","nullable":true},"mime_type":{"type":"string","nullable":true},"sha256":{"type":"string","nullable":true},"caption":{"type":"string","nullable":true},"animated":{"type":"boolean","nullable":true},"voice":{"type":"boolean","nullable":true}},"required":["id","url","file_size","filename","mime_type","sha256","caption","animated","voice"]},"WhatsAppMessageSystemEmbeddable":{"type":"object","properties":{"body":{"type":"string","nullable":true},"identity":{"type":"string","nullable":true},"new_wa_id":{"type":"string","nullable":true},"wa_id":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"customer":{"type":"string","nullable":true}},"required":["body","identity","new_wa_id","wa_id","type","customer"]},"WhatsAppMessageReferralEmbeddable":{"type":"object","properties":{"source_url":{"type":"string","nullable":true},"source_type":{"type":"string","nullable":true},"source_id":{"type":"string","nullable":true},"headline":{"type":"string","nullable":true},"body":{"type":"string","nullable":true},"media_type":{"type":"string","nullable":true},"image_url":{"type":"string","nullable":true},"video_url":{"type":"string","nullable":true},"thumbnail_url":{"type":"string","nullable":true},"ctwa_clid":{"type":"string","nullable":true}},"required":["source_url","source_type","source_id","headline","body","media_type","image_url","video_url","thumbna
[...]
